// import ts from '@wessberg/rollup-plugin-ts';
import resolve from '@rollup/plugin-node-resolve';
import typescript from '@rollup/plugin-typescript';
import path from 'path';

// import typescript from 'rollup-plugin-typescript2';
export default {
  // input: 'src/index.ts',
  // input: './indexTest',

  input: path.join(path.resolve(__dirname, 'src'), 'index.ts'),

  // output: {
  //   dir: 'output'
  //   // format: 'cjs'
  // },

  output: [
    {
      format: 'esm',
      dir: path.resolve(__dirname, 'dist')
    }
  ],

  // preserveModules: true,

  plugins: [typescript(), resolve()]
  // plugins: [
  //   typescript({
  //     tsConfig: './tsconfig.json'
  //   })

  //   // typescript({ tsconfigOverride: { compilerOptions: { module: 'es2015' } } }),
  //   // commonjs({
  //   //   namedExports: {
  //   //     // left-hand side can be an absolute path, a path
  //   //     // relative to the current directory, or the name
  //   //     // of a module in node_modules
  //   //     URL: ['url']
  //   //   }
  //   // })
  // ]
  // plugins: [ts({ transpiler: 'typescript', tsconfig: 'tsconfig.json' })]
};
